
//-------------------------------------
// Scripts for zebra tables
// Author: Stephen Poley
// See http://www.xs4all.nl/~sbpoley/webmatters/zebra-tables.html
// ------------------------------------

//Table data
function paintZebra()
{ if (document.getElementsByTagName) 
  { tables = document.getElementsByTagName("table");
    for(j=0; j<tables.length; j++)
    {
      if (tables[j].className.indexOf('data') > -1) // if the classname includes 'data'
      { for (k=0; k<tables[j].rows.length; k=k+2)
        {
          tables[j].rows[k].className='alt';
        }
      }
    }
  }
}

//New popup - Accessify.com - popup.js
var newWindow = null;

function closeWin(){
	if (newWindow != null){
		if(!newWindow.closed)
			newWindow.close();
	}
}

function popUpWin(url, type, strWidth, strHeight){
	
	closeWin();
		
	type = type.toLowerCase();
	
	if (type == "fullscreen"){
		strWidth = screen.availWidth;
		strHeight = screen.availHeight;
	}
	var tools="";
	if (type == "standard") tools = "resizable,toolbar=yes,location=yes,scrollbars=yes,menubar=yes,width="+strWidth+",height="+strHeight+",top=0,left=0";
	if (type == "console" || type == "fullscreen") tools = "resizable,toolbar=no,location=no,scrollbars=no,width="+strWidth+",height="+strHeight+",left=0,top=0";
	newWindow = window.open(url, 'newWin', tools);
	newWindow.focus();
}

function doPopUp(e)
{
//set defaults - if nothing in rel attrib, these will be used
var t = "standard";
var w = "780";
var h = "580";
//look for parameters
attribs = this.rel.split(" ");
if (attribs[1]!=null) {t = attribs[1];}
if (attribs[2]!=null) {w = attribs[2];}
if (attribs[3]!=null) {h = attribs[3];}
//call the popup script
popUpWin(this.href,t,w,h);
//cancel the default link action if pop-up activated
if (window.event) 
	{
	window.event.returnValue = false;
	window.event.cancelBubble = true;
	} 
else if (e) 
	{
	e.stopPropagation();
	e.preventDefault();
	}
}

function findPopUps()
{
var popups = document.getElementsByTagName("a");
for (i=0;i<popups.length;i++)
	{
	if (popups[i].rel.indexOf("popup")!=-1)
		{
		// attach popup behaviour
		popups[i].onclick = doPopUp;
		// add popup indicator
		if (popups[i].rel.indexOf("noicon")==-1)
			{
			popups[i].style.backgroundImage = "url(pop-up.gif)";
			popups[i].style.backgroundPosition = "0 center";
			popups[i].style.backgroundRepeat = "no-repeat";
			popups[i].style.paddingLeft = "15px";
			}
		// add info to title attribute to alert fact that it's a pop-up window
		popups[i].title = popups[i].title + " [Opens in pop-up window]";
		}
	}
}

addEvent(window, 'load', findPopUps, false);

//New popup - Accessify.com - addevent.js
function addEvent(elm, evType, fn, useCapture){if(elm.addEventListener){elm.addEventListener(evType, fn, useCapture);return true;}else if (elm.attachEvent){var r = elm.attachEvent('on' + evType, fn);return r;}else{elm['on' + evType] = fn;}}


// AutoBlink
// Puts Google's Autolink on the Blink :)
// (c) 2005 Chris Ridings http://www.searchguild.com
// Redistribute at will but leave this message intact

var linkcount;
function checklinks() {
  if (!(linkcount==document.links.length)) {
   // Something changed the links!
   // Iterate for an id of _goog
   for (i=0; i < document.links.length; i++) {
    if (document.links[i].id.substring(0,5)=="_goog") {
     // If we find an id of _goog then remove the link!
     var tr = document.links[i].parentTextEdit.createTextRange();
     tr.moveToElementText(document.links[i]);
     tr.execCommand("Unlink",false);
     tr.execCommand("Unselect",false);
    }
   }
  }
   setTimeout("checklinks()",500);
}
if (document.getElementById && document.createElement) {
  linkcount=document.links.length;
  setTimeout("checklinks()",500);
}